> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/connection-brokers/promote.md).

# Promote

## Promote

> Promote a RAS Connection Broker server to the primary Connection Broker. The license key used must be registered in Parallels My Account. To activate Parallels RAS as a trial, omit the \`\`\`key\`\`\` parameter. When promoting a Connection Broker in a non-primary Site, the Email, Password, Key, and MacAddress will be ignored.

````json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionBroker/{id}/promote":{"post":{"tags":["0-Infrastructure/Connection Brokers//0-Basic Operations"],"summary":"Promote","description":"Promote a RAS Connection Broker server to the primary Connection Broker. The license key used must be registered in Parallels My Account. To activate Parallels RAS as a trial, omit the ```key``` parameter. When promoting a Connection Broker in a non-primary Site, the Email, Password, Key, and MacAddress will be ignored.","operationId":"0c1a3300-fbf2-4dc1-858e-793efd43fa1c","parameters":[{"name":"id","in":"path","description":"RAS Connection Broker server ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS Connection Broker server","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvokeConnectionBrokerPromote"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvokeConnectionBrokerPromote":{"type":"object","properties":{"brokerUsername":{"type":"string","description":"<para type=\"description\">An administrator account for connecting with the new Connection Broker server (the one being promoted).</para>\r\n<para type=\"description\">If this parameter is omitted, your RAS admin username (and password) will be used.</para>","nullable":true},"brokerPassword":{"type":"string","description":"<para type=\"description\">The password of the account specified in the BrokerUsername parameter.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Invoke promotion of a Connection Broker to the Primary Connection Broker</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/connection-brokers/promote.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
